#
# spec file for package gn
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gn
Version:        0.1463
Release:        lp151.1.4
Summary:        A meta-build system that generates build files for Ninja
License:        BSD-3-Clause
Group:          Development/Tools/Building
URL:            https://gn.googlesource.com/
Source:         https://dev.gentoo.org/~floppym/dist/%{name}-%{version}.tar.gz
Patch0:         gn-flags.patch
BuildRequires:  gcc-c++
%if 0%{suse_version} < 1500
BuildRequires:  gcc7-c++
%endif
BuildRequires:  ninja
BuildRequires:  python2-base

%description
GN is a meta-build system that generates build files for Ninja.

%prep
%setup -q
%patch0 -p1

%build
export CC=gcc
export CXX=g++
export AR=ar
%if 0%{suse_version} < 1500
export CC=gcc-7
export CXX=g++-7
%endif
export CXXFLAGS="%{optflags}"
# bootstrap
python2 build/gen.py --no-sysroot --no-last-commit-position
cat >out/last_commit_position.h <<-EOF
	#ifndef OUT_LAST_COMMIT_POSITION_H_
	#define OUT_LAST_COMMIT_POSITION_H_
	#define LAST_COMMIT_POSITION "${PV}"
	#endif  // OUT_LAST_COMMIT_POSITION_H_
EOF
%ninja_build -C out gn

%check
%ninja_build -C out gn_unittests
./out/gn_unittests

%install
install -Dm 0755 out/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Tue Aug 28 2018 tchvatal@suse.com
- Update to 0.1463:
  * No upstream changelog
- Rebase patch gn-flags.patch
* Mon Aug  6 2018 tchvatal@suse.com
- Fix building on openSUSE Leap 42.3
* Wed Jul 25 2018 tchvatal@suse.com
- Initial commit, package used to generate ninja files, used
  when configuring chromium
